package com.draw.painting.canvas.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "862C9D825012E57C75E7545525E19712"
        const val TOP_ON_AD_TOW = "B091136BD3D9BF7375DAF416288EB012"
        const val TOP_ON_AD_THREE = "C3BDB36A12B4A21C6C5D05DACF823712"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}